#!/bin/bash

set -x

if [ -f /usr/local/root/flash/bin_users/gdts_nwpm_websites.zip ]; then
	#unzip does not override properly when old file was bigger??
	rm -rf /usr/local/root/flash/http/index /usr/local/root/flash/http/index_img /usr/local/root/flash/http/lang \
	/usr/local/root/flash/http/script /usr/local/root/flash/http/start /usr/local/root/flash/http/style /usr/local/root/flash/http/index.html
	
	unzip -o /usr/local/root/flash/bin_users/gdts_nwpm_websites.zip "usr-cgi/*" -d /usr/local/root/flash/bin_users
	mv -f /usr/local/root/flash/bin_users/usr-cgi/* /usr/local/root/flash/usr-cgi
	rm -rf /usr/local/root/flash/bin_users/usr-cgi
	unzip -n /usr/local/root/flash/bin_users/gdts_nwpm_websites.zip "etc/*" -d /usr/local/root/flash
	unzip -o /usr/local/root/flash/bin_users/gdts_nwpm_websites.zip "http/*" -d /usr/local/root/flash
	rm -f /usr/local/root/flash/bin_users/gdts_nwpm_websites.zip
	
	#remove windows \r chars
	find /usr/local/root/flash/usr-cgi -type f -exec sed -i $'s/\r//g' {} \;

	#fix permissions from /usr/local/sbin/httpservices.rc
	webpath=/usr/local/root/flash/http
	usrcgipath=/usr/local/root/flash/usr-cgi
	resmsg="Changing owner&group for directory (and subdir's in) .../http:      "; r="ok."
	find $webpath -type d -exec chown httpadmin:httpadmin {} \; || r="Error"
	resmsg="$resmsg""$r\n""Changing attributes for directory (and subdir's in) /http:     "; r="ok."
	find $webpath -type d -exec chmod 755 {} \; || r="Error"
	#find $webpath -type d -print0 | xargs -0 -r chmod 755 || r="Error"
	resmsg="$resmsg""$r\n""Changing owner&group for files in /http and subdir's:          "; r="ok."
	find $webpath -type f -exec chown httpadmin:httpadmin {} \; || r="Error"
	#find $webpath -type f -print0 | xargs -0 -r chown httpadmin:httpadmin || r="Error"
	resmsg="$resmsg""$r\n""Changing attributes for files in /http and subdir's:           "; r="ok."
	find $webpath -type f -exec chmod 644 {} \; || r="Error"
	#find $webpath -type f -print0 | xargs -0 -r chmod 644 || r="Error"
	resmsg="$resmsg""$r\n""Changing owner&group for directory (and subdir's in) /usr-cgi: "; r="ok."
	find $usrcgipath -type d -exec chown httpadmin:httpadmin {} \; || r="Error"
	#find $usrcgipath -type d -print0 | xargs -0 -r chown httpadmin:httpadmin || r="Error"
	resmsg="$resmsg""$r\n""Changing attributes for directory (and subdir's in) /usr-cgi:  "; r="ok."
	find $usrcgipath -type d -exec chmod 755 {} \; || r="Error"
	#find $usrcgipath -type d -print0 | xargs -0 -r chmod 755 || r="Error"
	resmsg="$resmsg""$r\n""Changing owner&group for files in /usr-cgi and subdir's:       "; r="ok."
	find $usrcgipath -type f -exec chown httpadmin:httpadmin {} \; || r="Error"
	#find $usrcgipath -type f -print0 | xargs - 0-r chown httpadmin:httpadmin || r="Error"
	resmsg="$resmsg""$r\n""Changing attributes for files in /usr-cgi and subdir's:        "; r="ok."
	find $usrcgipath -type f -exec chmod 755 {} \; || r="Error"
	#find $usrcgipath -type f -print0 | xargs -0 -r chmod 755 || r="Error"
	resmsg="$resmsg""$r"
	echo -e $resmsg
fi
